Subject: Re: [PATCH] meson: fix perl dependencies

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Jan 2025 08:07:04 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Wed, Jan 08, 2025 at 03:42:37AM +0000, Sam James wrote:
>> `generate_perl_command` needs `depends: [git_version_file]` and the uses
>> in top-level meson.build were fine, but the ones in perl/ weren't, causing
>> parallel build failures in some cases as GIT-BUILD-OPTIONS wasn't yet
>> available.
>
> Thanks for your patch! The change looks obviously correct to me.
>
> Patrick

Thanks, both.  Will fast-track to 'master' before the final gets
tagged, but we may want to advertise 'meson' support still as work
in progress in the release notes.